hifrog - Bug #5006

Theoref openSMT BUG: Opensmt supports only up to int size, not more!
15/04/2017 22:22 - Sepideh Asadi

Status: Closed Start date: 15/04/2017
Priority: Normal Due date:

Assignee: Antti Hyvarinen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

/hifrog --theoref Funfrog15_bench/s3.c - -claim 28
bug:

hifrog: solvers/smtcheck_opensmt2_cuf.h:115: int mp_integer2int(const mp_integer&): Assertion Il <=
std::numeric_limits<int>::max()' failed.
Aborted (core dumped)

History

#1 - 16/04/2017 00:36 - Sepideh Asadi

the same bug with --claim 34 cafe.c

hifrog: solvers/smtcheck_opensmt2_cuf.h:117: int mp_integer2int(const mp_integer&): Assertion “"Framework currently does not support numbers
larger than ints" && Il <= std::numeric_limits<int>::max()' failed.

#2 - 16/04/2017 01:07 - Sepideh Asadi

the same bug with --claim 34 tcas_asrt.c

#3 - 18/04/2017 11:48 - Karine Even Mendoza

In file: src/logics/BVLogic.h in OpenSMT.

The fix is in this method:

PTRef mkBVConst (constint ¢) { char* num; opensmt::wordToBinary(c, num, getBitWidth()); PTRef tr = Logic::mkConst(sort_BVNUM, num);
free(num); return tr; } // Convert the int ¢ to binary

As long as this is not supporting anything larger than int, we cannot do much. The assert is a check before the call for this method.

#4 - 19/04/2017 17:51 - Karine Even Mendoza

- Status changed from New to Closed

- % Done changed from 0 to 100

but resolved. We have new bugs now!
